@using CAPAMovies.Models
@model CAPAMovies.Models.UserMovie

@{
    ViewData["Title"] = "Edit";
}

<h2>Edit</h2>

<body>
    <form asp-action="Edit" method="post">
        <div class="form-horizontal">
            <h4>Edit Movie Properties</h4>
            <hr />
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>

            <input type="hidden" asp-for="UserID" value="@ViewBag.UserMovie.UserID" />
            <input type="hidden" asp-for="MovieID" value="@ViewBag.UserMovie.MovieID" />
            <input type="hidden" asp-for="DateAdded" value="@ViewBag.UserMovie.DateAdded" />
            <input type="hidden" asp-for="FormatID" value="@ViewBag.UserMovie.FormatID"/>
            <div class="form-group">
                <label asp-for="TitleSort" class="col-md-2 control-label"></label>
                <div class="col-md-10">
                    <input asp-for="TitleSort" class="form-control" value="@ViewBag.Movie.Title"/>
                    <span asp-validation-for="TitleSort" class="text-danger" />
                </div>
            </div>
            <div class="form-group">
                <label asp-for="StarRating" class="col-md-2 control-label"></label>
                <div class="col-md-10">
                    <input asp-for="StarRating" value="@ViewBag.UserMovie.StarRating" class="form-control" max="5" min="0" />
                    <span asp-validation-for="StarRating" class="text-danger" />
                </div>
            </div>
            <div class="form-group">
                <label asp-for="Location" class="col-md-2 control-label"></label>
                <div class="col-md-10">
                    <input asp-for="Location" value="@ViewBag.UserMovie.Location" class="form-control" />
                </div>
            </div>
            <div class="form-group">
                <label asp-for="LoanedTo" class="col-md-2 control-label"></label>
                <div class="col-md-10">
                    <input asp-for="LoanedTo" value="@ViewBag.UserMovie.LoanedTo" class="form-control" />
                </div>
            </div>
            <div class="form-group">
                <label asp-for="Custom" class="col-md-2 control-label"></label>
                <div class="col-md-10">
                    <input asp-for="Custom" value="@ViewBag.UserMovie.Custom" class="form-control" />
                </div>
            </div>
            <div class="form-group">
                <div class="col-md-offset-2 col-md-10">
                    <input type="submit" value="Save Changes" class="btn btn-default" />
                </div>
            </div>
        </div>
    </form>
</body>

<div>
    <a asp-action="Index">Back to List</a>
</div>